
public class HoldEmFactory extends PokerStyleFactory {

	public HoldEmFactory() {
		
	}

	public Dealer createDealer(String name) {
		return new HoldEmDealer(name);
	}

	public Player createPlayer(String name, String id, double chips) {
		Player player = new HoldEmPlayer(name, id, chips);
		PlayerHand pH = new PlayerHand(player);
		player.setPlayerHand(pH);
		return player;
	}
	
}
