import java.util.*;


public class CardDeck {
	public static final int DECKSIZE = 52;
	private ArrayList<Card> cards;
	
	public CardDeck() {
		cards = new ArrayList<Card>(DECKSIZE);
		//fill the deck specified by the cards array with a valid deck of cards
		for(int i = 2; i <= 14; i++) {
			Card spadeCard = new Card(i, Card.SPADE);
			Card heartCard = new Card(i, Card.HEART);
			Card clubCard = new Card(i, Card.CLUB);
			Card diamondCard = new Card(i, Card.DIAMOND);
			cards.add(spadeCard);
			cards.add(heartCard);
			cards.add(clubCard);
			cards.add(diamondCard);
		}
	}
	
	
	//Could have been implemented as a stack, but chose to "Do the simplest thing that could possibly work"
	public Card getTopCard() {
		if(cards.size() > 0) {
			return cards.remove(0);
		}
		else {
			return null;
		}
	}
	
	public int getNumCards() {
		return cards.size();
	}
	
	//randomise order of deck
	public void shuffleDeck() {
		Collections.shuffle(cards);
	}
}
